Bug 1314856 - [DOCS] Creating secrets for the image pull is outdated as docker stores key now in .docke/config.json
[DOCS] Creating secrets for the image pull is outdated as docker stores key n...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ashley Hardin
Johnny Liu
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 12:01 EST by Ryan Howe
Modified: 2018-01-25 14:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-25 14:44:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-03-04 12:01:57 EST
Document URL: https://docs.openshift.com/enterprise/3.1/dev_guide/image_pull_secrets.html#allowing-pods-to-reference-images-from-other-secured-registries

Section Number and Name: Allowing Pods to Reference Images from Other Secured Registries

Describe the issue:  Docker config file for storage of secrets has changed formats from .dockercfg to .docker/config.json

Suggestions for improvement: 

Add both explaining that use one for .dockercfg and the other for config.json

# oc secrets new <pull_secret_name> \
     .dockerconfigjson=path/to/.docker/config.json

# oc secrets new <pull_secret_name> \
    .dockercfg=<path/to/.dockercfg>


Additional information: 

More Info on this change
https://access.redhat.com/solutions/2190451
Comment 2 Ashley Hardin 2018-01-10 14:29:20 EST
Work in progress:
https://github.com/openshift/openshift-docs/pull/7070

This issue only seems to exist in version 3.1 of the docs.

@Ryan PTAL
Comment 3 Johnny Liu 2018-01-22 01:49:09 EST
LGTM.

Note You need to log in before you can comment on or make changes to this bug.